# H245_CommunicationModeTableEntry_dataType Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_videoData, e_audioData, e_data }

## Public Member Functions

| H245_CommunicationModeTableEntry_dataType (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_VideoCapability & ()
| operator const H245_VideoCapability & () const
| operator H245_AudioCapability & ()
| operator const H245_AudioCapability & () const
| operator H245_DataApplicationCapability & ()
| operator const H245_DataApplicationCapability & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_CommunicationModeTableEntry_dataType::Choices

Enumerator:

  e_videoData |
  e_audioData |
  e_data |

## Constructor & Destructor Documentation

H245_CommunicationModeTableEntry_dataType::H245_CommunicationModeTableEntry_dataType | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_CommunicationModeTableEntry_dataType::operator H245_VideoCapability & | ( |  | ) |

H245_CommunicationModeTableEntry_dataType::operator const H245_VideoCapability & | ( |  | ) | const

H245_CommunicationModeTableEntry_dataType::operator H245_AudioCapability & | ( |  | ) |

H245_CommunicationModeTableEntry_dataType::operator const H245_AudioCapability & | ( |  | ) | const

H245_CommunicationModeTableEntry_dataType::operator H245_DataApplicationCapability & | ( |  | ) |

H245_CommunicationModeTableEntry_dataType::operator const H245_DataApplicationCapability & | ( |  | ) | const

PBoolean H245_CommunicationModeTableEntry_dataType::CreateObject | ( |  | ) |

PObject* H245_CommunicationModeTableEntry_dataType::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h